- entityDefinitions:
  - IDE_ElementContent_Parameters_Sublist: '{99535f7b-6d35-46a4-82e7-8c4744e5472d}'

  - IDBEM_ElementContent_Parameters_Sublist: '{03758254-262d-4cdc-adb1-da1d67acd642}'
  - IDBEMP_ElementContent_Parameters_Sublist: '{99f91ca8-eaf5-498a-898c-1be39637ae3c}'

  - IDM_Element_Content__get__Parameter_Assignments: '{cde73dae-e6e9-4407-a0e0-4ec06abc637e}'
  - IDMB_Element_Content__get__Parameter_Assignments: '{bf38ad43-04a7-42a6-b985-a75410fb12bb}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - buildElementMethod: '&IDBEM_ElementContent_Parameters_Sublist;'
    hasBemProcess: '&IDBEMP_ElementContent_Parameters_Sublist;'

  - bemProcess: '&IDBEMP_ElementContent_Parameters_Sublist;'
    name: 'build ec parameter list'
    loopExecutableReturningInstanceSet: '&IDMB_Element_Content__get__Parameter_Assignments;' # the GSI, below

  - returnInstanceSetMethodBinding: '&IDMB_Element_Content__get__Parameter_Assignments;'
    executesMethod: '&IDM_Element_Content__get__Parameter_Assignments;'

  - getReferencedInstanceSetMethod: '&IDM_Element_Content__get__Parameter_Assignments;'
    forClassId: '&IDC_ElementContent;'
    verb: 'get'
    name: 'Parameter Assignments'
    returnsWorkSetId: '&IDI_WorkSet_ParameterAssignmentNonsingular;'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    referenceInstanceSet: '&IDC_ElementContent;'
    answerInstanceSet: '&IDR_Element_Content__has__Parameter_Assignment;'
    singular: no
    
  - element: '&IDE_ElementContent_Parameters_Sublist;'
    name: 'Parameter Assignments'
    elementContents:
    - globalIdentifier: '{c64a8a3a-ed0c-4b5d-a693-952b257eee5a}'
      defaultDataType: '&IDC_ParameterAssignment;'
      label: 'Parameter Assignment'
      displayOptions:
      - instance: '&IDI_DisplayOption_DoNotShow;'
    - globalIdentifier: '{3ae1a2db-072a-48bd-945c-5a62576a4181}'
      defaultDataType: '&IDR_Parameter_Assignment__assigns_to__Work_Data;'
      label: 'Assigns to Parm'
    - globalIdentifier: '{92b4a1df-4fd1-4cbb-98a0-b2ec3d7cbe66}'
      defaultDataType: '&IDA_Placeholder;'
      label: 'Context Type'
    - globalIdentifier: '{22aee5a8-1502-4bf7-9e79-22cda206096d}'
      defaultDataType: '&IDR_Parameter_Assignment__assigns_from__Executable_returning_Work_Data;'
      label: 'Specific Work Data'
    - globalIdentifier: '{db149b56-7c5e-4e44-97d0-a541e28d924e}'
      defaultDataType: '&IDA_Placeholder;'
      label: 'On Multiple Selection'